Index: squid/src/cf.data.pre
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf.data.pre,v
retrieving revision 1.1.1.3.4.1.4.1
retrieving revision 1.1.1.3.4.1.4.2
diff -u -r1.1.1.3.4.1.4.1 -r1.1.1.3.4.1.4.2
--- squid/src/cf.data.pre	16 Apr 2000 23:59:17 -0000	1.1.1.3.4.1.4.1
+++ squid/src/cf.data.pre	3 May 2000 19:22:26 -0000	1.1.1.3.4.1.4.2
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.1.1.3.4.1.4.1 2000/04/16 23:59:17 hno Exp $
+# $Id: cf.data.pre,v 1.1.1.3.4.1.4.2 2000/05/03 19:22:26 hno Exp $
 #
 #
 # SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -82,8 +82,6 @@
 	address, however.
 
 	You may specify multiple socket addresses on multiple lines.
-
-http_port 3128
 DOC_END
 
 
@@ -95,8 +93,6 @@
 	The port number where Squid sends and receives ICP queries to
 	and from neighbor caches.  Default is 3130.  To disable use
 	"0".  May be overridden with -u on the command line.
-
-icp_port 3130
 DOC_END
 
 NAME: htcp_port
@@ -111,7 +107,6 @@
 
 	To enable this option, you must use --enable-htcp with the
 	configure script.
-htcp_port 4827
 DOC_END
 
 
@@ -140,8 +135,6 @@
 	Usage: mcast_groups 239.128.16.128 224.0.1.20
 
 	By default, Squid doesn't listen on any multicast groups.
-
-mcast_groups 239.128.16.128
 DOC_END
 
 
@@ -174,16 +167,20 @@
 
 	The default behavior is to not bind to any specific address.
 
+	A *_incoming_address value of 0.0.0.0 indicates that Squid should
+	listen on all available interfaces.
+
+	If udp_outgoing_address is set to 255.255.255.255 (the default)
+	then it will use the same socket as udp_incoming_address. Only
+	change this if you want to have ICP queries sent using another
+	address than where this Squid listens for ICP queries from other
+	caches.
+
 	NOTE, udp_incoming_address and udp_outgoing_address can not
-	have the same value (unless it is 0.0.0.0) since they both use
-	port 3130.
+	have the same value since they both use port 3130.
 
 	NOTE, tcp_incoming_address has been removed.  You can now
 	specify IP addresses on the 'http_port' line.
-
-tcp_outgoing_address 0.0.0.0
-udp_incoming_address 0.0.0.0
-udp_outgoing_address 0.0.0.0
 DOC_END
 
 COMMENT_START
@@ -198,7 +195,7 @@
 DOC_START
 	To specify other caches in a hierarchy, use the format:
 
-		hostname type http_port icp_port
+		cache_peer hostname type http_port icp_port
 
 	For example,
 
@@ -234,6 +231,7 @@
 		     login=user:password
 		     connect-timeout=nn
 		     digest-url=url
+		     allow-miss
 
 		     use 'proxy-only' to specify that objects fetched
 		     from this cache should not be saved locally.
@@ -291,12 +289,18 @@
 		     the specified URL rather than the Squid default
 		     location.
 
-	NOTE: non-ICP neighbors must be specified as 'parent'.
+		     use 'allow-miss' to disable Squid's use of only-if-cached
+		     when forwarding requests to siblings. This is primarily
+		     useful when icp_hit_stale is used by the sibling. To
+		     extensive use of this option may result in forwarding
+		     loops, and you should avoid having two-way peerings
+		     with this option. (for example to deny peer usage on
+		     requests from peer by denying cache_peer_access if the
+		     source is a peer)
 
-cache_peer hostname type 3128 3130
+	NOTE: non-ICP neighbors must be specified as 'parent'.
 DOC_END
 
-
 NAME: cache_peer_domain cache_host_domain
 TYPE: hostdomain
 DEFAULT: none
@@ -364,8 +368,6 @@
 	timeout (the old default), you would write:
 
 		icp_query_timeout 2000
-
-icp_query_timeout 0
 DOC_END
 
 NAME: maximum_icp_query_timeout
@@ -382,7 +384,6 @@
 
 	If 'icp_query_timeout' is set to zero, then this value is
 	ignored.
-maximum_icp_query_timeout 2000
 DOC_END
 
 NAME: mcast_icp_query_timeout
@@ -396,8 +397,6 @@
 	address.  This value specifies how long Squid should wait to
 	count all the replies.  The default is 2000 msec, or 2
 	seconds.
-
-mcast_icp_query_timeout 2000
 DOC_END
 
 NAME: dead_peer_timeout
@@ -420,15 +419,12 @@
 	your time between requests is greater than this timeout, you
 	will see a lot of requests sent DIRECT to origin servers
 	instead of to your parents.
-
-dead_peer_timeout 10 seconds
 DOC_END
 
 
 NAME: hierarchy_stoplist
 TYPE: wordlist
 DEFAULT: none
-DEFAULT_IF_NONE: cgi-bin ?
 LOC: Config.hierarchy_stoplist
 DOC_START
 	A list of words which, if found in a URL, cause the object to
@@ -436,9 +432,10 @@
 	to not query neighbor caches for certain objects.  You may
 	list this option multiple times.
 
-	The default is to directly fetch URLs containing 'cgi-bin' or '?'.
-
+NOCOMMENT_START
+#We recommend you to use at least the following line.
 hierarchy_stoplist cgi-bin ?
+NOCOMMENT_END
 DOC_END
 
 
@@ -454,11 +451,11 @@
 	You must use the word 'DENY' to indicate the ACL names which should
 	NOT be cached.
 
-	There is no default.  We recommend you uncomment the following
-	two lines.
-
+NOCOMMENT_START
+#We recommend you to use the following two lines.
 acl QUERY urlpath_regex cgi-bin \?
 no_cache deny QUERY
+NOCOMMENT_END
 DOC_END
 
 
@@ -503,10 +500,6 @@
 	decreases, blocks will be freed until the high-water mark is
 	reached.  Thereafter, blocks will be used to store hot
 	objects.
-
-	The default is 8 Megabytes.
-
-cache_mem  8 MB
 DOC_END
 
 
@@ -534,9 +527,6 @@
 	Defaults are 90% and 95%. If you have a large cache, 5% could be
 	hundreds of MB. If this is the case you may wish to set these
 	numbers closer together.
-
-cache_swap_low  90
-cache_swap_high 95
 DOC_END
 
 NAME: maximum_object_size
@@ -555,8 +545,6 @@
 	NOTE: if using the LFUDA replacement policy you should increase
 	this value to maximize the byte hit rate improvement of LFUDA!
 	See replacement_policy below for a discussion of this policy.
-
-maximum_object_size 4096 KB
 DOC_END
 
 
@@ -581,10 +569,6 @@
 LOC: Config.ipcache.high
 DOC_START
 	The size, low-, and high-water marks for the IP cache.
-
-ipcache_size 1024
-ipcache_low  90
-ipcache_high 95
 DOC_END
 
 NAME: fqdncache_size
@@ -594,7 +578,6 @@
 LOC: Config.fqdncache.size
 DOC_START
 	Maximum number of FQDN cache entries.
-fqdncache_size 1024
 DOC_END
 
 COMMENT_START
@@ -605,12 +588,12 @@
 NAME: cache_dir
 TYPE: cachedir
 DEFAULT: none
-DEFAULT_IF_NONE: ufs @DEFAULT_SWAP_DIR@ 100 16 256
+DEFAULT_IF_NONE: ufs -1 @DEFAULT_SWAP_DIR@ 100 16 256
 LOC: Config.cacheSwap
 DOC_START
 	Usage:
 	
-	cache_dir Type Directory-Name Mbytes Level-1 Level2
+	cache_dir Type Maxobjsize Directory-Name Mbytes Level-1 Level2
 
 	You can specify multiple cache_dir lines to spread the
 	cache among different disk partitions.
@@ -621,6 +604,10 @@
 	want to try "asyncufs" as the type.  Async IO support may be
 	buggy, however, so beware.
 
+	Maxobjsize refers to the max object size this storedir supports.
+	It is used to initially choose the storedir to dump the object.
+	-1 means 'any size'.
+
 	'Directory' is a top-level directory where cache swap
 	files will be stored.  If you want to use an entire disk
 	for caching, then this can be the mount-point directory.
@@ -640,8 +627,6 @@
 	'Level-2' is the number of second-level subdirectories which
 	will be created under each first-level directory.  The default
 	is 256.
-
-cache_dir ufs @DEFAULT_SWAP_DIR@ 100 16 256
 DOC_END
 
 
@@ -652,8 +637,6 @@
 DOC_START
 	Logs the client request activity.  Contains an entry for
 	every HTTP and ICP queries received.
-
-cache_access_log @DEFAULT_ACCESS_LOG@
 DOC_END
 
 
@@ -665,8 +648,6 @@
 	Cache logging file. This is where general information about
 	your cache's behavior goes. You can increase the amount of data
 	logged to this file with the "debug_options" tag below.
-
-cache_log @DEFAULT_CACHE_LOG@
 DOC_END
 
 
@@ -680,8 +661,6 @@
 	saved and for how long.  To disable, enter "none". There are
 	not really utilities to analyze this data, so you can safely
 	disable it.
-
-cache_store_log @DEFAULT_STORE_LOG@
 DOC_END
 
 
@@ -692,14 +671,19 @@
 DOC_START
 	Location for the cache "swap.log."  This log file holds the
 	metadata of objects saved on disk.  It is used to rebuild the
-	cache during startup.  Normally this file resides in the first
+	cache during startup.  Normally this file resides in each
 	'cache_dir' directory, but you may specify an alternate
 	pathname here.  Note you must give a full filename, not just
 	a directory. Since this is the index for the whole object
 	list you CANNOT periodically rotate it!
 
-	If you have more than one 'cache_dir', these swap logs will
-	have names such as:
+	If %s can be used in the file name then it will be replaced with a
+	a representation of the cache_dir name where each / is replaced
+	with '.'. This is needed to allow adding/removing cache_dir
+	lines when cache_swap_log is being used.
+	    
+	If have more than one 'cache_dir', and %s is not used in the name
+	then these swap logs will have names such as:
 
 		cache_swap_log.00
 		cache_swap_log.01
@@ -712,8 +696,6 @@
 	the correct 'cache_dir' entry (unless you manually rename
 	them).  We recommend that you do NOT use this option.  It is
 	better to keep these log files in each 'cache_dir' directory.
-
-cache_swap_log
 DOC_END
 
 
@@ -728,10 +710,18 @@
 	emulate_httpd_log to 'off' or 'on'.  The default
 	is to use the native log format since it includes useful
 	information that Squid-specific log analyzers use.
-
-emulate_httpd_log off
 DOC_END
 
+NAME: log_ip_on_direct
+COMMENT: on|off
+TYPE: onoff
+DEFAULT: on
+LOC: Config.onoff.log_ip_on_direct
+DOC_START
+	Log the destination IP address in the hierarchy log tag when going
+	direct. Earlier Squid versions logged the hostname here. If you
+	prefer the old way set this to off.
+DOC_END
 
 NAME: mime_table
 TYPE: string
@@ -741,8 +731,6 @@
 	Pathname to Squid's MIME table. You shouldn't need to change
 	this, but the default file contains examples and formatting
 	information if you do.
-
-mime_table @DEFAULT_MIME_TABLE@
 DOC_END
 
 
@@ -757,8 +745,6 @@
 	safely and will appear as two bracketed fields at the end of
 	the access log (for either the native or httpd-emulated log
 	formats).  To enable this logging set log_mime_hdrs to 'on'.
-
-log_mime_hdrs off
 DOC_END
 
 
@@ -766,13 +752,11 @@
 TYPE: string
 LOC: Config.Log.useragent
 DEFAULT: none
+IFDEF: USE_USERAGENT_LOG
 DOC_START
-	If configured with the "--enable-useragent_log" configure
-	option, Squid will write the User-Agent field from HTTP
-	requests to the filename specified here.  By default
-	useragent_log is disabled.
-
-useragent_log none
+	Squid will write the User-Agent field from HTTP requests
+	to the filename specified here.  By default useragent_log
+	is disabled.
 DOC_END
 
 
@@ -782,8 +766,6 @@
 LOC: Config.pidFilename
 DOC_START
 	A filename to write the process-id to.  To disable, enter "none".
-
-pid_filename @DEFAULT_PID_FILE@
 DOC_END
 
 
@@ -798,8 +780,6 @@
 	log file, so be careful.  The magic word "ALL" sets debugging
 	levels for all sections.  We recommend normally running with
 	"ALL,1".
-
-debug_options ALL,1
 DOC_END
 
 
@@ -814,8 +794,6 @@
 	IP's connecting to it. This can (in some situations) increase
 	latency, which makes your cache seem slower for interactive
 	browsing. 
-
-log_fqdn off
 DOC_END
 
 
@@ -828,8 +806,6 @@
 	Change this to protect the privacy of your cache clients.
 	A netmask of 255.255.255.0 will log all IP's in that range with
 	the last digit set to '0'.
-
-client_netmask 255.255.255.255
 DOC_END
 
 
@@ -852,8 +828,6 @@
 	depending on how the cache is used.
 	Some ftp server also validate that the email address is valid
 	(for example perl.com).
-
-ftp_user Squid@
 DOC_END
 
 NAME: ftp_list_width
@@ -864,8 +838,6 @@
 	Sets the width of ftp listings. This should be set to fit in
 	the width of a standard browser. Setting this too small
 	can cut off long filenames when browsing ftp sites.
-
-ftp_list_width 32
 DOC_END
 
 NAME: cache_dns_program
@@ -875,13 +847,11 @@
 LOC: Config.Program.dnsserver
 DOC_START
 	Specify the location of the executable for dnslookup process.
-
-cache_dns_program @DEFAULT_DNSSERVER@
 DOC_END
 
 NAME: dns_children
 TYPE: int
-IFDEF: USE_DNSSERVER
+IFDEF: USE_DNSSERVERS
 DEFAULT: 5
 LOC: Config.dnsChildren
 DOC_START
@@ -891,10 +861,29 @@
 	is 32.  The default is 5.
 
 	You must have at least one dnsserver process.
+DOC_END
+
+NAME: dns_retransmit_interval
+TYPE: time_t
+DEFAULT: 5 seconds
+LOC: Config.Timeout.idns_retransmit
+IFDEF: !USE_DNSSERVERS
+DOC_START
+	Initial retransmit interval for DNS queries. The interval is
+	doubled each time all configured DNS servers have been tried.
 
-dns_children 5
 DOC_END
 
+NAME: dns_timeout
+TYPE: time_t
+DEFAULT: 5 minutes
+LOC: Config.Timeout.idns_query
+IFDEF: !USE_DNSSERVERS
+DOC_START
+	DNS Query timeout. If no response is received to a DNS query
+	within this time then all DNS servers for the queried domain
+	is assumed to be unavailable.
+DOC_END
 
 NAME: dns_defnames
 COMMENT: on|off
@@ -902,14 +891,13 @@
 TYPE: onoff
 DEFAULT: off
 LOC: Config.onoff.res_defnames
+IFDEF: USE_DNSSERVERS
 DOC_START
 	Normally the 'dnsserver' disables the RES_DEFNAMES resolver
 	option (see res_init(3)).  This prevents caches in a hierarchy
 	from interpreting single-component hostnames locally.  To allow
 	dnsserver to handle single-component names, enable this
 	option.
-
-dns_defnames off
 DOC_END
 
 NAME: dns_nameservers
@@ -922,8 +910,6 @@
 	/etc/resolv.conf file.
 
 	Example: dns_nameservers 10.0.0.1 192.172.0.4
-
-dns_nameservers none
 DOC_END
 
 
@@ -933,23 +919,15 @@
 LOC: Config.Program.unlinkd
 DOC_START
 	Specify the location of the executable for file deletion process.
-	This isn't needed if you are using async-io since it's handled by
-	a thread.
-
-unlinkd_program @DEFAULT_UNLINKD@
 DOC_END
 
-
 NAME: pinger_program
 TYPE: string
 DEFAULT: @DEFAULT_PINGER@
 LOC: Config.Program.pinger
+IFDEF: USE_ICMP
 DOC_START
 	Specify the location of the executable for the pinger process.
-	This is only useful if you configured Squid (during compilation)
-	with the '--enable-icmp' option.
-
-pinger_program @DEFAULT_PINGER@
 DOC_END
 
 
@@ -962,8 +940,6 @@
 	Since they can perform almost any function there isn't one included.
 	See the Release-Notes for information on how to write one.
 	By default, a redirector is not used.
-
-redirect_program none
 DOC_END
 
 
@@ -976,8 +952,6 @@
 	too few Squid will have to wait for them to process a backlog of
 	URLs, slowing it down. If you start too many they will use RAM
 	and other system resources.
-
-redirect_children 5
 DOC_END
 
 NAME: redirect_rewrites_host_header
@@ -988,7 +962,6 @@
 	By default Squid rewrites any Host: header in redirected
 	requests.  If you are running a accelerator then this may
 	not be a wanted effect of a redirector.
-redirect_rewrites_host_header on
 DOC_END
 
 NAME: redirector_access
@@ -1022,8 +995,6 @@
 	Then, set this line to something like
 
 	authenticate_program @DEFAULT_PREFIX@/bin/ncsa_auth @DEFAULT_PREFIX@/etc/passwd
-
-authenticate_program none
 DOC_END
 
 NAME: authenticate_children
@@ -1036,27 +1007,22 @@
 	of usercode/password verifications, slowing it down. When password
 	verifications are done via a (slow) network you are likely to need
 	lots of authenticator processes.
-
-authenticate_children 5
 DOC_END
 
 NAME: authenticate_ttl
-TYPE: int
-DEFAULT: 3600
+TYPE: time_t
+DEFAULT: 1 hour
 LOC: Config.authenticateTTL
 DOC_START
-	The time a checked username/password combination remains cached
-	(default 3600). If a wrong password is given for a cached user,
-	the user gets removed from the username/password cache forcing
-	a revalidation.
-
-authenticate_ttl 3600
+	The time a checked username/password combination remains cached.
+	If a wrong password is given for a cached user, the user gets
+	removed from the username/password cache forcing a revalidation.
 DOC_END
 
 NAME: authenticate_ip_ttl
-TYPE: int
+TYPE: time_t
 LOC: Config.authenticateIpTTL
-DEFAULT: 0
+DEFAULT: 0 seconds
 DOC_START
 	With this option you control how long a proxy authentication
 	will be bound to a specific IP address. If a request using
@@ -1068,11 +1034,22 @@
 	port.
 
 	The default is 0 to disable the check. Recommended value
-	if you have dialup users are no more than 60 (seconds). If
-	all your users are stationary then higher values may be
-	used.
+	if you have dialup users are no more than 60 seconds to allow
+	the user to redial without hassle. If all your users are
+	stationary then higher values may be used.
+
+	See also authenticate_ip_ttl_is_strict
+DOC_END
 
-authenticate_ip_ttl 0
+NAME: authenticate_ip_ttl_is_strict
+TYPE: onoff
+LOC: Config.onoff.authenticateIpTTLStrict
+DEFAULT: on
+DOC_START
+	This option makes authenticate_ip_ttl a bit stricted. With this
+	enabled authenticate_ip_ttl will deny all access from other IP
+	addresses until the TTL has expired, and the IP address "owning"
+	the userid will not be forced to reauthenticate.
 DOC_END
 
 COMMENT_START
@@ -1092,9 +1069,6 @@
 LOC: Config.Wais.relayPort
 DOC_START
 	Relay WAIS request to host (1st arg) at port (2 arg).
-
-wais_relay_host localhost
-wais_relay_port 8000
 DOC_END
 
 
@@ -1109,7 +1083,6 @@
 	Placing a limit on the request header size will catch certain
 	bugs (for example with persistent connections) and possibly
 	buffer-overflow or denial-of-service attacks.
-request_header_max_size 10 KB
 DOC_END
 
 NAME: request_body_max_size
@@ -1124,7 +1097,6 @@
 	than this limit receives an "Invalid Request" error message.
 	If you set this parameter to a zero, there will be no limit
 	imposed.
-request_body_max_size 1 MB
 DOC_END
 
 NAME: reply_body_max_size
@@ -1151,7 +1123,6 @@
 
 	If you set this parameter to zero (the default), there will be
 	no limit imposed.
-reply_body_max_size 0
 DOC_END
 
 
@@ -1159,6 +1130,9 @@
 TYPE: refreshpattern
 LOC: Config.Refresh
 DEFAULT: none
+DEFAULT_IF_NONE:	^ftp:		1440	20%	10080
+DEFAULT_IF_NONE:	^gopher:	1440	0%	1440
+DEFAULT_IF_NONE: 	.		0	20%	4320
 DOC_START
 	usage: refresh_pattern [-i] regex min percent max [options]
 
@@ -1215,12 +1189,9 @@
 	The first entry which matches is used.  If none of the entries
 	match, then the default will be used.
 
-Default:
-NOCOMMENT_START
-refresh_pattern		^ftp:		1440	20%	10080
-refresh_pattern		^gopher:	1440	0%	1440
-refresh_pattern 	.		0	20%	4320
-NOCOMMENT_END
+	Note, you must uncomment all the default lines if you want
+	to change one. The default setting is only active if none is
+	used.
 DOC_END
 
 
@@ -1263,8 +1234,6 @@
 	For more information about these cache replacement policies see
 	http://www.hpl.hp.com/techreports/1999/HPL-1999-69.html and
 	http://fog.hpl.external.hp.com/techreports/98/HPL-98-173.html.
-
-replacement_policy LFUDA
 DOC_END
 
 
@@ -1292,8 +1261,6 @@
 
 	NOTE: this parameter is not used when using the enhanced
 	replacement policies, GDSH or LFUDA.
-
-reference_age 1 year
 DOC_END
 
 
@@ -1307,7 +1274,7 @@
 NAME: quick_abort_max
 COMMENT: (KB)
 TYPE: kb_size_t
-DEFAULT: 16 kb
+DEFAULT: 16 KB
 LOC: Config.quickAbort.max
 DOC_NONE
 
@@ -1336,10 +1303,6 @@
 
 	If more than 'quick_abort_pct' of the transfer has completed,
 	it will finish the retrieval.
-
-quick_abort_min 16 KB
-quick_abort_max 16 KB
-quick_abort_pct 95
 DOC_END
 
 
@@ -1354,8 +1317,6 @@
 	negatively-cached for a configurable amount of time.  The
 	default is 5 minutes.  Note that this is different from
 	negative caching of DNS lookups.
-
-negative_ttl 5 minutes
 DOC_END
 
 
@@ -1368,8 +1329,6 @@
 	Time-to-Live (TTL) for positive caching of successful DNS lookups.
 	Default is 6 hours (360 minutes).  If you want to minimize the
 	use of Squid's ipcache, set this to 1, not 0.
-
-positive_dns_ttl 6 hours
 DOC_END
 
 
@@ -1380,8 +1339,6 @@
 DEFAULT: 5 minutes
 DOC_START
 	Time-to-Live (TTL) for negative caching of failed DNS lookups.
-
-negative_dns_ttl 5 minutes
 DOC_END
 
 NAME: range_offset_limit
@@ -1404,8 +1361,6 @@
 
 	A value of 0 causes Squid to never fetch more than the client
 	client requested. (default)
-
-range_offset_limit 0 KB
 DOC_END
 
 
@@ -1425,8 +1380,6 @@
 	enforces its own timeout on server connections.  This parameter
 	specifies how long to wait for the connect to complete.  The
 	default is two minutes (120 seconds).
-
-connect_timeout 120 seconds
 DOC_END
 
 NAME: peer_connect_timeout
@@ -1439,7 +1392,6 @@
 	connection to a peer cache.  The default is 30 seconds.   You
 	may also set different timeout values for individual neighbors
 	with the 'connect-timeout' option on a 'cache_peer' line.
-peer_connect_timeout 30 seconds
 DOC_END
 
 NAME: siteselect_timeout
@@ -1449,8 +1401,6 @@
 DEFAULT: 4 seconds
 DOC_START
 	For URN to multiple URL's URL selection
-
-siteselect_timeout 4 seconds
 DOC_END
 
 NAME: read_timeout
@@ -1464,8 +1414,6 @@
 	amount.  If no data is read again after this amount of time,
 	the request is aborted and logged with ERR_READ_TIMEOUT.  The
 	default is 15 minutes.
-
-read_timeout 15 minutes
 DOC_END
 
 
@@ -1477,8 +1425,6 @@
 	How long to wait for an HTTP request after connection
 	establishment.  For persistent connections, wait this long
 	after the previous request completes.
-
-request_timeout 30 seconds
 DOC_END
 
 
@@ -1502,8 +1448,6 @@
 	If you seem to have many client connections tying up
 	filedescriptors, we recommend first tuning the read_timeout,
 	request_timeout, pconn_timeout and quick_abort values.
-
-client_lifetime 1 day
 DOC_END
 
 NAME: half_closed_clients
@@ -1519,8 +1463,6 @@
 	socket returns an error.  Change this option to 'off' and Squid
 	will immediately close client connections when read(2) returns
 	"no more data to read."
-
-half_closed_clients on
 DOC_END
 
 NAME: pconn_timeout
@@ -1530,7 +1472,6 @@
 DOC_START
 	Timeout for idle persistent connections to servers and other
 	proxies.
-pconn_timeout 120 seconds
 DOC_END
 
 NAME: ident_timeout
@@ -1550,7 +1491,6 @@
 
 	This option may be disabled by using --disable-ident with
 	the configure script.
-ident_timeout 10 seconds
 DOC_END
 
 
@@ -1565,8 +1505,6 @@
 	This value is the lifetime to set for all open descriptors
 	during shutdown mode.  Any active clients after this many
 	seconds will receive a 'timeout' message.
-
-shutdown_lifetime 30 seconds
 DOC_END
 
 COMMENT_START
@@ -1625,6 +1563,7 @@
 	acl aclname browser  [-i] regexp
 	  # pattern match on User-Agent header
 	acl aclname ident    username ...
+	acl aclname ident_regex [-i] pattern ...
 	  # string match on ident output.
 	  # use REQUIRED to accept any non-null ident.
 	acl aclname src_as   number ... 
@@ -1638,6 +1577,7 @@
 	  # cache_peer_access mycache_mydomain.net deny all
 
 	acl aclname proxy_auth username ...
+	acl aclname proxy_auth_regex [-i] pattern ...
 	  # list of valid usernames
 	  # use REQUIRED to accept any valid username.
 	  #
@@ -1663,18 +1603,30 @@
 	  # This will be matched when the client's IP address has
 	  # more than <number> HTTP connections established.
 
+	acl req_mime_type mime-type1 ...
+	  # regex match agains the mime type of the request generated
+	  # by the client. Can be used to detect file upload or some
+	  # types HTTP tunelling requests.
+	  # NOTE: This does NOT match the reply. You cannot use this
+	  # to match the returned file type.
 
 Examples:
 acl myexample dst_as 1241
 acl password proxy_auth REQUIRED
+acl fileupload req_mime_type -i ^multipart/form-data$
 
-Defaults:
 NOCOMMENT_START
+#Recommended minimum configuration:
 acl all src 0.0.0.0/0.0.0.0
 acl manager proto cache_object
 acl localhost src 127.0.0.1/255.255.255.255
 acl SSL_ports port 443 563
-acl Safe_ports port 80 21 443 563 70 210 1025-65535
+acl Safe_ports port 80		# http
+acl Safe_ports port 21		# ftp
+acl Safe_ports port 443 563	# https, snews
+acl Safe_ports port 70		# gopher
+acl Safe_ports port 210		# wais
+acl Safe_ports port 1025-65535	# unregistered ports
 acl Safe_ports port 280		# http-mgmt
 acl Safe_ports port 488		# gss-http
 acl Safe_ports port 591		# filemaker
@@ -1694,12 +1646,9 @@
 	Access to the HTTP port:
 	http_access allow|deny [!]aclname ...
 
-	Access to the ICP port:
-	icp_access  allow|deny [!]aclname ...
-
 	NOTE on default values:
 
-	If there are no "access" lines present, the default is to allow
+	If there are no "access" lines present, the default is to deny
 	the request.
 
 	If none of the "access" lines cause a match, the default is the
@@ -1709,15 +1658,20 @@
 	good idea to have an "deny all" or "allow all" entry at the end
 	of your access lists to avoid potential confusion.
 
-Default configuration:
 NOCOMMENT_START
+#Recommended minimum configuration:
+#
+# Only allow cachemgr access from localhost
 http_access allow manager localhost
 http_access deny manager
+# Deny requests to unknown ports
 http_access deny !Safe_ports
+# Deny CONNECT to other than SSL ports
 http_access deny CONNECT !SSL_ports
 #
 # INSERT YOUR OWN RULE(S) HERE TO ALLOW ACCESS FROM YOUR CLIENTS
 #
+# And finally deny all other access to this proxy
 http_access deny all
 NOCOMMENT_END
 DOC_END
@@ -1729,9 +1683,15 @@
 DEFAULT: none
 DEFAULT_IF_NONE: deny all
 DOC_START
-	Reply to all ICP queries we receive
+	Allowing or Denying access to the ICP port based on defined
+	access lists
+
+	icp_access  allow|deny [!]aclname ...
+
+	See http_access for details
 
 NOCOMMENT_START
+#Allow ICP queries from eveyone
 icp_access allow all
 NOCOMMENT_END
 DOC_END
@@ -1754,8 +1714,10 @@
 
 	By default, allow all clients who passed the http_access rules
 	to fetch MISSES from us.
+
 NOCOMMENT_START
-miss_access allow all
+#Default setting:
+# miss_access allow all
 NOCOMMENT_END
 DOC_END
 
@@ -1783,8 +1745,6 @@
 	Specifies the realm name which is to be reported to the client for
 	proxy authentication (part of the text the user will see when
 	prompted their username and password).
-
-proxy_auth_realm Squid proxy-caching web server
 DOC_END
 
 
@@ -1811,7 +1771,6 @@
 
 	This option may be disabled by using --disable-ident with
 	the configure script.
-ident_lookup_access deny all
 DOC_END
 
 
@@ -1827,8 +1786,6 @@
 DOC_START
 	Email-address of local cache manager who will receive
 	mail if the cache dies.  The default is "webmaster."
-
-cache_mgr webmaster
 DOC_END
 
 
@@ -1851,9 +1808,6 @@
 	If Squid is not started as root, the default is to keep the
 	current UID/GID.  Note that if Squid is not started as root then
 	you cannot set http_port to a value lower than 1024.
-
-cache_effective_user nobody
-cache_effective_group nogroup
 DOC_END
 
 
@@ -1867,8 +1821,6 @@
 	will be used. If you have multiple caches in a cluster and
 	get errors about IP-forwarding you must set them to have individual
 	names with this setting.
-
-visible_hostname www-cache.foo.org
 DOC_END
 
 
@@ -1880,8 +1832,6 @@
 	If you want to have multiple machines with the same
 	'visible_hostname' then you must give each machine a different
 	'unique_hostname' so that forwarding loops can be detected.
-
-unique_hostname www-cache1.foo.org
 DOC_END
 
 
@@ -1929,7 +1879,10 @@
 	To enable announcing your cache, just uncomment the line
 	below.
 
-announce_period 1 day
+NOCOMMENT_START
+#To enable announcing your cache, just uncomment the line below.
+#announce_period 1 day
+NOCOMMENT_END
 DOC_END
 
 
@@ -1957,9 +1910,6 @@
 	default default to 3131.  If the 'filename' argument is given,
 	the contents of that file will be included in the announce
 	message.
-
-announce_host tracker.ircache.net
-announce_port 3131
 DOC_END
 
 COMMENT_START
@@ -1987,11 +1937,28 @@
 	NOTE: enabling httpd_accel_host disables proxy-caching and
 	ICP.  If you want these features enabled also, then set
 	the 'httpd_accel_with_proxy' option.
-
-httpd_accel_host hostname
-httpd_accel_port port
 DOC_END
 
+NAME: httpd_accel_single_host
+COMMENT: on|off
+TYPE: onoff
+LOC: Config.Accel.single_host
+DEFAULT: on
+DOC_START
+	If you are running Squid as a accelerator and have a single backend
+	server then set this to on. This causes Squid to forward the request
+	to this server irregardles of what any redirectors or Host headers
+	says.
+
+	Set this to off if you have multiple backend servers, and use a
+	redirector (or host table) to map the requests to the
+	appropriate backend servers. Note that the mapping needs to be a
+	1-1 mapping between requested and backend (from redirector) domain
+	names or caching will fail, as cacing is performed using the
+	URL returned from the redirector.
+
+	See also redirect_rewrites_host_header.
+DOC_END
 
 NAME: httpd_accel_with_proxy
 COMMENT: on|off
@@ -2000,12 +1967,13 @@
 LOC: Config.onoff.accel_with_proxy
 DOC_START
 	If you want to use Squid as both a local httpd accelerator
-	and as a proxy, change this to 'on'.
-
-httpd_accel_with_proxy off
+	and as a proxy, change this to 'on'. Note however that your
+	proxy users may have trouble to reach the accelerated domains
+	unless their browsers are configured not to use this proxy for
+	those domains (for example via the no_proxy browser configuration
+	setting)
 DOC_END
 
-
 NAME: httpd_accel_uses_host_header
 COMMENT: on|off
 TYPE: onoff
@@ -2022,7 +1990,6 @@
 	However, you will need to enable this option if you run Squid
 	as a transparent proxy.  Otherwise, virtual servers which
 	require the Host: header will not be properly cached.
-httpd_accel_uses_host_header off
 DOC_END
 
 COMMENT_START
@@ -2034,13 +2001,11 @@
 TYPE: wordlist
 LOC: Config.dns_testname_list
 DEFAULT: none
+DEFAULT_IF_NONE: netscape.com internic.net nlanr.net microsoft.com
 DOC_START
 	The DNS tests exit as soon as the first site is successfully looked up
 
-	If you want to disable DNS tests, do not comment out or delete this
-	list.  Instead use the -D command line option
-
-dns_testnames netscape.com internic.net nlanr.net microsoft.com
+	This test can be disabled with the -D command line option.
 DOC_END
 
 
@@ -2062,8 +2027,6 @@
 	purposes, so -k rotate uses another signal.  It is best to get
 	in the habit of using 'squid -k rotate' instead of 'kill -USR1
 	<pid>'.
-
-logfile_rotate 10
 DOC_END
 
 
@@ -2075,7 +2038,8 @@
 	Appends local domain name to hostnames without any dots in
 	them.  append_domain must begin with a period.
 
-append_domain .yourdomain.com
+Example:
+ append_domain .yourdomain.com
 DOC_END
 
 
@@ -2088,8 +2052,6 @@
 	Size of receive buffer to set for TCP sockets.  Probably just
 	as easy to change your kernel's default.  Set to zero to use
 	the default buffer size.
-
-tcp_recv_bufsize 0 bytes
 DOC_END
 
 NAME: err_html_text
@@ -2105,7 +2067,6 @@
 	the error template files (found in the "errors" directory).
 	Wherever you want the 'err_html_text' line to appear,
 	insert a %L tag in the error template file.
-err_html_text
 DOC_END
 
 
@@ -2136,8 +2097,6 @@
 	available for future use.  If memory is a premium on your
 	system and you believe your malloc library outperforms Squid 
 	routines, disable this.
-
-memory_pools on
 DOC_END
 
 NAME: memory_pools_limit
@@ -2185,8 +2144,6 @@
 	If you disable this, it will appear as
 
 		X-Forwarded-For: unknown
-
-forwarded_for on
 DOC_END
 
 NAME: log_icp_queries
@@ -2198,8 +2155,6 @@
 	If set, ICP queries are logged to access.log. You may wish
 	do disable this if your ICP load is VERY high to speed things
 	up or to simplify log analysis.
-
-log_icp_queries on
 DOC_END
 
 NAME: icp_hit_stale
@@ -2213,8 +2168,6 @@
 	in other administrative domains, this should be 'off'.  If you only
 	have sibling relationships with caches under your control, then
 	it is probably okay to set this to 'on'.
-
-icp_hit_stale off
 DOC_END
 
 
@@ -2225,8 +2178,6 @@
 DOC_START
 	If using the ICMP pinging stuff, do direct fetches for sites
 	which are no more than this many hops away.
-
-minimum_direct_hops 4
 DOC_END
 
 
@@ -2286,9 +2237,10 @@
 
 	Use the keyword "all" to set the same password for all actions.
 
-cachemgr_passwd secret shutdown
-cachemgr_passwd lesssssssecret info stats/objects
-cachemgr_passwd disable all
+Example:
+ cachemgr_passwd secret shutdown
+ cachemgr_passwd lesssssssecret info stats/objects
+ cachemgr_passwd disable all
 DOC_END
 
 NAME: store_avg_object_size
